/*:
# **Kapitel 4.7**
## Aufgabe 5 Figur – Verrückte Reise (Teil 2)
*/
/*:
Ein Objekt der Klasse FIGUR soll sich beim Bewegen über die Zeichenfläche von den dort vorhandenen
Grafikfiguren beeinflussen lassen. Insbesondere sollen schwarze Ränder dafür sorgen, dass die Figur
die Zeichenfläche nicht verlässt.\
a\
Überschreibe in einer Klasse SPIELFIGUR die Methode *AktionAusführen()* so, dass
 - sich die Figur um 180˚ dreht und 40 Einheiten weit geht, wenn sie eine schwarze Fläche berührt,
 - sich die Figur um 5˚ dreht und 5 Einheiten weit geht, wenn sie eine rote Fläche berührt,
 - sich die Figur um -10˚ dreht und 5 Einheiten weit geht, wenn sie eine grüne Fläche berührt,
 - sich die Figur um 15˚ dreht und 10 Einheiten weit geht, wenn sie eine blaue Fläche berührt und
 - sich die Figur um -5˚ dreht und 10 Einheiten weit geht, wenn sie eine gelbe Fläche berührt.

Ansonsten geht sie 15 Einheiten gerade aus.\
b\
Begründe, warum du für diese Aufgabe keine Mehrfachauswahl verwenden kannst. Verwende
dafür bedingte Anweisungen in geeigneter Form.\
c\
Erzeuge nun passende Rand- und Ablenkobjekte und lasse deine Figur starten.
Teste, ob die Ablenkobjekte eher groß oder eher klein sein sollten, um verschlungene Wege zu erhalten.*/
/**
Die Spielfigur der verrückten Reise

- author: Albert Wiedemann
- version: 1.0
 */
class SpielFigur: Figur
{
    
    /**
    Bewegt die Figur gerade aus
    */
    override func AktionAusführen()
    {
//#-editable-code
        Gehen(länge: 15)
//#-end-editable-code
    }
    
    /**
    Steuert die Richtung der Spielfigur.
	- parameters:
        - taste: KeyCode der gedrückten Taste
     */
    override func SonderTasteGedrückt (taste: Int)
    {
        if taste == 123
        {
            Drehen(grad: 5)
        }
        else if taste == 124
        {
            Drehen(grad: -5)
        }
    }
    
}
//#-editable-code
let f=SpielFigur()
//#-end-editable-code
