/*:
# **Kapitel 4.7**
## Aufgabe 9 Druckaufträge
*/
/*:
Benötigt man ein Bild oder einen Text mehrfach, kann man beim Druckauftrag eine Anzahl
angeben – der Drucker wiederholt passend zur Eingabe den Druckvorgang.\
a\
Erkunde im Projekt Drucker, mit welcher Kontrollstruktur das wiederholte Drucken
umgesetzt wurde und führe den "Druckauftrag" einmal aus.\
b\
Ändere den Quelltext so, dass das Bild acht Mal ausgedruckt wird.\
c\
Verbessere die Methode *Drucken()* so, dass über einen
Parameter die Anzahl der Ausdrucke eingegeben werden kann.\
d
\Ergänze einen weiteren Parameter zur Auswahl des zu druckende Motivs.
Z.B. wird mit dem Methodenaufruf *Drucken(5, 'K')* die Katze fünfmal gedruckt.
*/
//#-editable-code

/**
Klasse DRUCKER ermöglicht das mehrfache "Drucken" von ASCII-Bilder auf der Standardausgabe.
Gerne kannst du weitere Standardmotive ergänzen.

- author: Peter Brichzin
- version: Version 1.0
 */
class Drucker
{
    /**
    Mehrfaches Drucken eines Motivs.
    */
    func Drucken()
    {
        for _ in 0 ..< 5
        {
            FahrradfahrerDrucken()
        }
    }

    /**
     * Drucken einer Katze auf der Standardausgabe.
     */
    func KatzeDrucken()
    {
        print("        /\\_/\\ ")
        print("   ____/ o o \\ ")
        print(" /~____  =ø= / ")
        print("(______)__m_m) ")
        print("       ")
    }

    /**
    Drucken einer Torte auf der Standardausgabe.
    */
    func TorteDrucken()
    {
        print("        ()     ()       ()      ()");
        print("        ||     ||       ||      ||");
        print("    @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@");
        print(" {~*~*~*~*~*~*~*~ ALLES GUTE ~*~*~*~*~*~} ")
        print(" {~*~*~*~*~*~*~ ZUM GEBURTSTAG ~*~*~*~*~} ")
        print(" {~*~*~*~*~*~*~*~ ALLES GUTE ~*~*~*~*~*~} ")
        print(" {~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~**~} ")
        print("       ")

    }

    /**
    Drucken eines Fahrradfahrers auf der Standardausgabe.
     */
    func FahrradfahrerDrucken()
    {
        print("   ------- __@")
        print("----- _`\\<,_    ")
        print("---- (*)/ (*)   ")
        print("       ")
    }
}

let d = Drucker()
d.Drucken()

//#-end-editable-code
